package net.sf.doolin.gui.action.path.list;

import java.util.List;

import net.sf.doolin.gui.action.path.item.ActionPath;

/**
 * Container for a list of {@link ActionPath}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface ActionPathList {

	/**
	 * Returns the list of {@link ActionPath}.
	 * 
	 * @return List of {@link ActionPath}.
	 */
	List<ActionPath> getPaths();

}
