package net.sf.doolin.gui.field.table.support;

import net.sf.doolin.gui.field.table.ITableEventListFactory;

import org.springframework.beans.factory.annotation.Required;

public abstract class AbstractPropertyBasedTableEventListFactory<E> implements
		ITableEventListFactory<E> {

	private String propertyPath;

	@Override
	@Required
	public String getPropertyPath() {
		return this.propertyPath;
	}

	public void setPropertyPath(String propertyPath) {
		this.propertyPath = propertyPath;
	}

}
