package net.sf.doolin.gui.field.tree;

import javax.swing.tree.TreePath;

import net.sf.doolin.gui.field.tree.model.GUITreeNode;

public enum FieldTreeSelectionPropertyMode {

	/**
	 * Selection property contains the {@link TreePath}
	 */
	PATH,

	/**
	 * Selection property contains a {@link GUITreeNode}
	 */
	NODE,

	/**
	 * Selection property contains the user object
	 */
	OBJECT;

}
