package net.sf.doolin.gui.validation.support;

import net.sf.doolin.gui.validation.ValidationMsgKeys;

/**
 * This validator checks that the object is not <code>null</code>.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class NotNullObjectValidator implements ObjectValidator {

	@Override
	public String getMsgKey() {
		return ValidationMsgKeys.MSG_MANDATORY;
	}

	@Override
	public Object[] getParams(String name) {
		return new Object[] { name };
	}

	@Override
	public boolean validate(Object value) {
		return (value != null);
	}

}
