package net.sf.doolin.gui.window.dialog;

import java.util.List;

import net.sf.doolin.gui.action.GUIAction;

/**
 * Factory for the list of actions in a dialog.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface DialogActionsFactory {

	/**
	 * Returns the list of actions to use in the dialog
	 * 
	 * @return List of actions
	 */
	List<GUIAction> getDialogActions();

}
