package net.sf.doolin.gui.action;

import net.sf.doolin.gui.window.GUIWindow;

/**
 * Exits the application.
 * 
 * @author Damien Coraboeuf
 * @param <T>
 *            Type of the model for the window
 * 
 */
public class ExitAction<T> extends CloseWindowAction<T> {

	@Override
	protected void close(GUIWindow<T> window) {
		super.close(window);
		window.getApplication().exit(0);
	}

}
