package net.sf.doolin.gui.bus;

import net.sf.doolin.bus.Subscriber;

public class BusMonitoringLogEntry {

	private final String messageClass;
	private final String messageString;
	private final String subscriberInfo;

	public BusMonitoringLogEntry(Object message, Subscriber<?> subscriber) {
		this.messageClass = message.getClass().getName();
		this.messageString = String.valueOf(message);
		this.subscriberInfo = subscriber.getExecutionDescription();
	}

	public String getMessageClass() {
		return this.messageClass;
	}

	public String getMessageString() {
		return this.messageString;
	}

	public String getSubscriberInfo() {
		return this.subscriberInfo;
	}

}
