package net.sf.doolin.gui.field.table.column;

/**
 * Defines the way the table is updated when a cell is updated.
 * 
 * @author Damien Coraboeuf
 * 
 */
public enum ColumnUpdatePolicy {

	/**
	 * Only the cell is updated (default)
	 */
	CELL,
	/**
	 * The whole row is updated
	 */
	ROW,
	/**
	 * The whole column is updated
	 */
	COLUMN,
	/**
	 * The whole table is updated
	 */
	TABLE;

}
