package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldDecimal;

/**
 * Parser for {@link FieldDecimal}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class DecimalParser extends
		AbstractPropertyFieldTypeParser<FieldDecimal> {

	/**
	 * Constructor
	 */
	public DecimalParser() {
		super(FieldDecimal.class);
		addSimpleAttribute("minimum");
		addSimpleAttribute("maximum");
		addSimpleAttribute("minimumProperty");
		addSimpleAttribute("maximumProperty");
		addSimpleAttribute("fractionDigits");
		addSimpleAttribute("integerDigits");
		addSimpleAttribute("fractionShowAll");
		addSimpleAttribute("strictMin");
		addSimpleAttribute("strictMax");
	}
}
