package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldMemo;

/**
 * Parser for {@link FieldMemo}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class MemoParser extends AbstractPropertyFieldTypeParser<FieldMemo> {

	/**
	 * Constructor
	 */
	public MemoParser() {
		super(FieldMemo.class);
		addSimpleAttribute("columns");
		addSimpleAttribute("rows");
		addSimpleAttribute("commitOnFocusLost");
	}

}
