package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.list.multi.FieldMultiCombo;

/**
 * Parser for {@link FieldMultiCombo}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class MultiComboParser extends
		AbstractListPropertyFieldTypeParser<FieldMultiCombo> {

	/**
	 * Constructor
	 */
	public MultiComboParser() {
		super(FieldMultiCombo.class);
		addSimpleAttribute("columns");
		addSimpleAttribute("visibleRows");
		addSimpleAttribute("timeOut");
	}

}
