package net.sf.doolin.gui.spring.tree;

import net.sf.doolin.context.spring.SimpleDefinitionParser;
import net.sf.doolin.gui.field.table.Column;
import net.sf.doolin.gui.field.tree.support.PropertyChildren;

/**
 * Parser for {@link Column}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class TreeChildrenParser extends
		SimpleDefinitionParser<PropertyChildren> {

	/**
	 * Constructor
	 */
	public TreeChildrenParser() {
		super(PropertyChildren.class);
		// Simple properties
		addSimpleAttribute("id");
		addSimpleAttribute("property");
	}

}
