package net.sf.doolin.gui.spring.tree;

import net.sf.doolin.gui.field.tree.FieldTree;
import net.sf.doolin.gui.spring.AbstractPropertyFieldTypeParser;

/**
 * Parser for a table
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class TreeParser extends AbstractPropertyFieldTypeParser<FieldTree> {

	/**
	 * Constructor
	 */
	public TreeParser() {
		super(FieldTree.class);
		addSimpleAttribute("rootVisible");
		addSimpleAttribute("selectionPropertyPath");
		addSimpleAttribute("selectionPropertyMode");
	}

}
