package net.sf.doolin.gui.style;

import java.awt.Component;

/**
 * 
 * Definition for a style
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface Style {

	/**
	 * Applies this style to this component
	 * 
	 * @param component
	 *            Component to apply the style to
	 */
	void apply(Component component);

}
