package net.sf.doolin.gui.swing;

/**
 * Listener for {@link IFilePath} implementations.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface FilePathListener {

	/**
	 * Listens for the change of the path in a {@link IFilePath} instance
	 * 
	 * @param newPath
	 *            New path
	 */
	void filePathChanged(String newPath);

}
