package net.sf.doolin.gui.system;

/**
 * System information.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class SystemInformation {

	/**
	 * Constructor
	 * 
	 * @param type
	 *            Type of information
	 * @param key
	 *            Key for the value
	 * @param value
	 *            Value
	 */
	public SystemInformation(SystemInformationType type, String key,
			String value) {
		this.type = type;
		this.key = key;
		this.value = value;
	}

	private final SystemInformationType type;
	private final String key;
	private final String value;

	/**
	 * @return the type
	 */
	public SystemInformationType getType() {
		return this.type;
	}

	/**
	 * @return the key
	 */
	public String getKey() {
		return this.key;
	}

	/**
	 * @return the value
	 */
	public String getValue() {
		return this.value;
	}

}
