package net.sf.doolin.gui.validation.support;

/**
 * This validator checks that the object can be evaluated to <code>false</code>.
 * 
 * @author Damien Coraboeuf
 * @see TrueObjectValidator
 * 
 */
public class FalseObjectValidator extends TrueObjectValidator {

	@Override
	public boolean validate(Object value) {
		return !super.validate(value);
	}

}
