package net.sf.doolin.gui.window.support;

import net.sf.doolin.gui.window.GUIWindow;
import net.sf.doolin.gui.window.GUIWindowFactory;

/**
 * {@link GUIWindowFactory} for a frame.
 * 
 * @author Damien Coraboeuf
 * @see FrameGUIWindow
 */
public class FrameWindowFactory implements GUIWindowFactory {

	@Override
	public <B> GUIWindow<B> createWindow() {
		return new FrameGUIWindow<B>();
	}
}
