package net.sf.doolin.gui.wizard.rule.condition;

/**
 * This rule is used for views that can be always finished. It is always
 * evaluated to <code>true</code> and returns {@link WizardRule#FINISH} as a
 * result.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class FinishWizardRule implements WizardRule {

	@Override
	public boolean evaluate(Object model) {
		return true;
	}

	@Override
	public String getResult() {
		return FINISH;
	}

}
